var feedbackayuda;
var objAyudaAux;
function crearAyuda(objayuda,nombrefeedback){
	feedbackayuda=nombrefeedback;
	objAyudaAux=objayuda;
	crearAyudaAux(objayuda,nombrefeedback);
	
}
function crearAyudaAux(objayuda,nombrefeedback){
	
	var salida="<h1>";
	if($.rup.lang=="es")
		salida+="Ayuda:</h1>";
	else
		salida+="Laguntza:</h1>";
	for(i=0; i<objayuda.length;i++){
		salida+="<p>"+objayuda[i]+"</p>";
	}
	
	$("#"+nombrefeedback).rup_feedback("destroy");
	$("#"+nombrefeedback).rup_feedback({
		closeLink: true,
		gotoTop: false,
		block: false,
		message:salida
		});
	
	//$("#"+nombrefeedback).css("width","");
	
	$("#"+nombrefeedback).rup_feedback("close");
	$("#"+nombrefeedback).rup_feedback("set",salida);
	//$("#"+nombrefeedback).css("width","");
	//$("#"+nombrefeedback).rup_feedback("close");
	setTimeout(function() {
		$("#"+nombrefeedback).css("width","");
	}, 400);	
}

function abrirAyudaInicio(){
	
	var ventanaDialogoDetalleActuacion = $("#dialogoAyudaInicio").rup_dialog({
		type: jQuery.rup.dialog.DIV,
		autoOpen: false,
		id:"detalleAyudaInicio",
		modal: true,
		resizable: false,
		minWidth: 880,
		showLoading:true,
		title: $.rup.i18n.app.nuevo.Planta	
	});
	
	var ventanaIFrame ="/aa20bMaqPartesWar/inicio/ayudaInicio";

	document.getElementById("iframeAyudaInicio").src = ventanaIFrame;
	$("#dialogoAyudaInicio").rup_dialog("open");

}


function formatearError(feedback,error){
	
	if(error.indexOf("ORA-02292")>0){
	
		var indice1=error.indexOf("FK_");
		var indice2=error.indexOf(")");
		var FK=error.substring(indice1,indice2);
		feedback.rup_feedback("set",$.rup.i18n.app.errors.ORA_02292+"("+eval("$.rup.i18n.app.FKS."+FK)+")");
	}
	else if(error.indexOf("ORA-")>0)
		feedback.rup_feedback("set",$.rup.i18n.app.errors.ORAGEN);
		else		
			feedback.rup_feedback("set",$.rup.i18n.app.errors.GEN);
	
}